Subject: Re: problem comport, iocl and FIONREAD
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 30 Dec 2003 16:32:56 -0800

Arash Partow wrote:
> 
> Hi all,
> 
> I'm seeing a problem with ioctl and FIONREAD, I use the
> following code to check if there are any bytes in the
> input buffer of a comport.
> ie:

Check the return value of ioctl(), I bet it's returning error and
setting EINVAL.  I think you want TIOCINQ instead.  At least,
fhandler_serial.cc recognises such an ioctl, but not FIONREAD.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/